openssl_verify
openssl_x509_checkpurpose
OpenSSL 함수 목록
PHP Manual

# openssl_x509_check_private_key

(PHP 4 >= 4.2.0, PHP 5)

openssl_x509_check_private_key — Checks if a private key corresponds to a certificate

### 설명

bool openssl_x509_check_private_key ( mixed `$cert` , mixed `$key` )

Checks whether the given `key` is the private key that corresponds to `cert` .

### 인수

`cert`

  The certificate.

`key`

  The private key.

### 반환값

Returns `TRUE` if `key` is the private key that corresponds to `cert` , or `FALSE` otherwise.

openssl_verify
openssl_x509_checkpurpose
OpenSSL 함수 목록
PHP Manual